/// <summary>
 /// Selects the lights and opens the Light Properties page
 /// </summary>
 public override bool OnEditLight(RhinoDoc doc, ref LightArray light_array)
 {
     for (int i = 0; i < light_array.Count(); i++)
     {
         Rhino.Geometry.Light light = light_array.ElementAt(i);
         int index = doc.Lights.Find(light.Id, true);
         if (index > -1)
         {
             Rhino.DocObjects.LightObject light_obj = doc.Lights[index];
             light_obj.Select(true);
             RhinoApp.RunScript("_-PropertiesPage _Light", true);
         }
         return(true);
     }
     return(false);
 }